Create a "redeem" transactionCopy Pagepost https://api.valha.xyz/v0/{chain}/pools/{pool_address}/redeemBETA FEATURE - Please contact team to be whitelisted. Create transaction objects to interact with an EVM blockchain for a specified user.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamschainstringenumrequiredDefaults to ethereumThe blockchain that will be used for this request.ethereumethereum-goerlipolygonbscoptimismarbitrumavalancheceloarbitrum-testnetbsc-testnetShow 10 enum valuespool_addressstringrequiredDefaults to 0xdf0770df86a8034b3efef0a1bb3c889b8332ff56The address of the pool that will be used for this request.Body ParamsTo create redeem interaction objects, the body of the request depends on the type of pool that you are trying to interact with. If pool type is not identified as AMM Pool in "Retrieve pools from a protocol route" then you should enter as parameters: user amount If pool type is identified as AMM Pool in "Retrieve pools from a protocol route" then you should enter as parameters: user tokens (addresses of the underlying tokens) amount amounts_minimum (underlying tokens minimum amounts that you want to redeem) Be careful in the latter case, the orders inside the array has an impact on which amounts are assigned to each tokens. (Ex.: {tokens: [token_a, token_b], amounts_minimum: [amount_minimum_token_a, amount_minimum_token_b]})userstringrequiredDefaults to 0x45E954acf1Efc374478dF69B45f12AEFD8AE51a3amountnumberDefaults to 20tokensarray of stringstokensADD stringamounts_desiredarray of numbersamounts_desiredADD numberamounts_minimumarray of numbersamounts_minimumADD numberdisable_checkbooleanDefaults to trueIf selected to true, the API will not check if the provided user's address has enought token to perform the action.truefalsemaximum_approvalbooleanDefaults to falseIf selected to true, the API will put the maximum amount for the approval action.truefalseestimate_gasbooleanDefaults to falseBETA FEATURE (only Ethereum, Polygon and Arbitrum chains for now) - If selected to true, the API will return the gas limit necessary for the action.truefalseResponses 200approveTx might be null if there is no need for an approval. 400Updated over 2 years ago Did this page help you?YesNo